//
//  UIViewController+router.m
//  GMCache
//
//  Created by Q14 on 2020/8/10.
//

#import "UIViewController+router.h"
#import <objc/runtime.h>

@implementation UIViewController (router)

- (GMRouterBlock)routerBlock {
    return objc_getAssociatedObject(self, @selector(routerBlock));
}

- (void)setRouterBlock:(GMRouterBlock)routerBlock {
    objc_setAssociatedObject(self, @selector(routerBlock), routerBlock, OBJC_ASSOCIATION_COPY_NONATOMIC);
}

@end
